NuTracks Readme

===========================================================================
Current Version: {{GRF_TITLE}}
===========================================================================

Contents
1 About NuTracks
2 Installing or Updating NuTracks using the Online Content service
3 Installing NuTracks Manually
4 Reporting bugs
5 Contributing to and building of NuTracks
6 License
        6.1 Obtaining the source
7 Parameters
8 Compatible trainsets        
9 Credits


===========================================================================
1 About NuTracks
===========================================================================

NuTracks adds extra track types with different maximum running speeds and costs to OpenTTD to make the game more fun, possibly more realistic and definitely more challenging.

===========================================================================
4 Installing or Updating NuTracks using the Online Content service
===========================================================================

This method uses the online content service (BaNaNaS) to download NuTracks.
In order to use this, you need at least OpenTTD 1.1.0 or a recent nightly.

1. Start OpenTTD and click the Check online content button. 

2. In the window that opens up, find NuTracks in the list at the left. You can use the search box in the upper right corner of the window.

3. Check the box in front of the NuTracks entry in order to mark
   it for download.

4. Click the Download  button in the bottom right corner and then close the window

5. In the main menu, click the NewGRF Options button.

6. Find NuTracks in the list at the bottom and double-click its entry. When you start a new game, NuTracks will be enabled.


===========================================================================
3 Installing NuTracks Manually
===========================================================================

1. First, make sure that you downloaded and installed OpenTTD
version 1.1.0 (nightly r21866) or later.

2. Next, download the latest NuTracks package. There are a few sources:
- the OpenTTDCoop download page:
http://bundles.openttdcoop.org/NuTracks/
 - The "releases" folder contains officially released versions
 - The "nightlies" and "push" folders contain the most recent versions. They
   contain new features and/or bugfixes not yet in the 'official' releases (but probably more errors too - so beware).

3. Unpack the zip file into the OpenTTD newgrf directory (see section 4.2 of
   the OpenTTD readme for a detailed treatise on all data dirs OpenTTD
   recognizes). 
  - An OpenTTD folder in your user account's home directory:
    Windows: 
	C:\My Documents\newgrf (95, 98, ME)
        C:\Documents and Settings\<username>\My Documents\OpenTTD\newgrf (2000, XP)
        C:\Users\<username>\Documents\OpenTTD\newgrf (Vista, 7)
    Mac OSX: 
        ~/Documents/OpenTTD/newgrf
    Linux:
        ~/.openttd/newgrf
  - The OpenTTD installation directory.

4. In the main menu of the game, click the NewGRF dialogue button.

5. Select NuTracks  from the list of available NewGRFS. Close the window
   using the  in the upper left corner.and then start a new game

Now that wasn't so hard, was it? Anyways, if you're having trouble getting
NuTracks to work, please file a detailed report on what you did, what error
messages you got and where you got stuck in the NuTracks release topic
at TT-forums: http://www.tt-forums.net/viewtopic.php?f=36&t=40162 or
(preferrably) at our bug tracker at
http://dev.openttdcoop.org/projects/nutracks



===========================================================================
4 Reporting bugs
===========================================================================

If you do spot any, please let us know via the NuTracks release topic at TT-forums.net: 
http://www.tt-forums.net/viewtopic.php?f=26&t=47347 
or preferrably our bug tracker http://dev.openttdcoop.org/projects/nutracks/issues.
Please make sure that you're using the latest available version before reporting a bug. You can check the Issue Tracker to see if the bug you've found is already
reported (or fixed!).

===========================================================================
5 Contributing to and building of NuTracks
===========================================================================

The NuTracks source is available in a Mercurial repository or as a GZipped tar file. You can do an anonymous checkout from
http://hg.openttdcoop.org/ nutracks , e.g. using
hg clone http://hg.openttdcoop.org/ nutracks 
or obtain the zipped source files from
http://bundles.openttdcoop.org/nutracks/releases.
   
Prerequisites to building NuTracks:
- mercurial (only when not building from a tarball, available from
http://mercurial.selenic.com/wiki/Download?action=show&redirect=BinaryPackages)
- gcc (the pre-processor is needed)
- md5sum (linux, mingw) or md5 (mac)
- grfcodec r821 or better (available from
  http://bundles.openttdcoop.org/grfcodec)
- some gnu utils: make, cat, sed
and you might additionally want a text editor of your choice and a graphics
program suitable to handle palettes. 

On Windows: we advise to get a mingw development environment, download
grfcodec, nforenum and mercurial from the sources mentioned above)
For more detailed instructions see our guide at
http://dev.openttdcoop.org/projects/home/wiki and the very extensive and
detailed installation instructions on the mingw wiki at
http://www.mingw.org/wiki/Getting_Started

On Linux: your system should already have most tools, you'll probably only
need nforenum, grfcodec and mercurial available from the source mentioned
above. For installation instructions concerning mercurial refer to the
manual of your distribution.

On Mac: Install the developers tools and get grfcodec and nforenum from the
source mentioned above. Mercurial is easiest insalled via macports: sudo
port install mercurial

The use of mercurial is strongly encouraged as only that allows to keep
track of changes.

Once all tools are installed, get a checkout of the repository and you can
build NuTracks using make. The following targets are available:
- all: builds all grfs and the obg file
- install: build and then copy NuTracks in your OpenTTD data directory. Use
  Makefile.local to specify a different path
- clean: cleans all generated files
- mrproper: also cleans generated directories
- bundle_src: create a source tarball
- bundle_zip: create a zip archive of NuTracks
- bundle_bz2: create a bzip2 archive of NuTracks
- bundle_tar: create a tar archive of NuTracks

Given the usual case that you modify something within NuTracks and want to
test that, a simple 'make install' should suffice and you can immediately
test the changes ingame, if you selected the nightly version of NuTracks.
Given default paths, a 'make install' will overwrite a previous nightly
version of NuTracks. Mind to enter "reload_newgrfs" in OpenTTD afterwards.

===========================================================================
6 Configuring NuTracks - Parameters
===========================================================================

As of NuTracks 1.2.0 the following parameters are available (set them via the "NewGRF Settings" GUI):
- Track set: Autodetect (see "compatible train sets") - Default - With 3rd rail tracks
- Track prices: 1/4 - 1/2 - default - 2x - 4x 
- Speed settings:
	- Very low speed tracks: 1-500kmh, default 80 
	-      Low speed tracks: 1-500kmh, default 125 
	-   Medium speed tracks: 1-500kmh, default 180
	-     High speed tracks: 1-500kmh, default 230                                                

===========================================================================
7 Compatible Train Sets
===========================================================================

Most train sets should be compatible due to the introduction dates 
of the different tracks. There are, however a few that have 'built in'
support, so a train with a certain speed is called e.g. a "medium speed engine".

Currently these trainsets have some kind of support:
- The 2cc Trainset 2.0.0-Beta5, Nightly r727 - Full support. However, the metros require the Metro Track Set 2.1.0.
- UKRS2 - Semi-supported - The 3rd rail engines/MUs in this set should drive
  on the 3rd rail tracks in NuTracks. Activates the '3rd rail' track set if
  the 1st parameter is set to 'autodetect'.


===========================================================================
8 License
===========================================================================

NuTracks for OpenTTD Copyright (C) 2009-2012
NuTracks authors (see below)

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License version 2 as published by
the Free Software Foundation, or, at your option, any later version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the 
Free Software Foundation, Inc., 1
Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.


===========================================================================
9 Credits
===========================================================================

NuTracks is created by the following people (in random order):

Coders:
- DJ Nekkid (Thomas Mjelva) (original NFO coder)
- planetmaker (Main man of the makefile system, also some NFO)
- oberhmer (all versions after 1.0.0)        

Gfx:
- oberhmer (track graphics between 1.0.0 and 1.2.0)
- Zephyris (track graphics in 1.0.0 and earlier)
- Irwe (some level crossing graphics from the Swedish Rail Set)

Thanks to:
- First and formost to Ammler (Marcel Gmr) for hosting the repository and
  providing his services  
- Peter_1138 for creating the RailTypes
- Rubidum and Yexo for misc updates to the Railtypes
- The other OpenTTD devs for other possible updates to Railtypes, and the
  game in general

And a special thanks go out to the guys at #openttdcoop for inspiration,
testing, bugreporting, etc etc. I could not have done this without you. 
